Bug 1299097 - [GSS] 'How to configure server security' needs to show removing / updating existing configuration
[GSS] 'How to configure server security' needs to show removing / updating ex...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrea Hoffer
sgilda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 17:58 EST by Brad Maxwell
Modified: 2017-12-04 16:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-04 16:17:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Maxwell 2016-01-15 17:58:44 EST
Description of problem:

We need to document how to update / change the keystore config or remove it to add another one.

The docs should show to add https realms with a keystore, but not updating/removing: 

/core-service=management/security-realm=ManagementRealmHTTPS/server-identity=ssl:add(...)



Document URL: 

https://access.redhat.com/documentation/en/red-hat-jboss-enterprise-application-platform/version-6.4/how-to-configure-server-security/

Section Number and Name: 

Describe the issue: 

Need to show how to modify / remove after adding.  Users looking at the docs were trying to call add again to update their keystore which lead to :

{
    "outcome" => "failed",
    "failure-description" => "JBAS014803: Duplicate resource [
    (\"core-service\" => \"management\"),
    (\"security-realm\" => \"ManagementRealmHTTPS\"),
    (\"server-identity\" => \"ssl\")
]",
    "rolled-back" => true
Comment 6 sgilda 2017-11-13 16:19:06 EST
This looks good to me. Marking it as verified.
Comment 7 Christian Huffman 2017-12-04 16:17:32 EST
Instructions for updating the keystore have been include, and are live on the Customer Portal at https://access.redhat.com/documentation/en-us/red_hat_jboss_enterprise_application_platform/6.4/html-single/how_to_configure_server_security/#six_configure_the_management_console_to_use_the_keystore .

Note You need to log in before you can comment on or make changes to this bug.